Skip to content
Start here

Push Message

queues.messages.push(strqueue_id, MessagePushParams**kwargs) -> MessagePushResponse
POST/accounts/{account_id}/queues/{queue_id}/messages

Push a message to a Queue

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
account_id: Optional[str]

A Resource identifier.

maxLength32
queue_id: str

A Resource identifier.

maxLength32
body: Optional[str]
content_type: Optional[Literal["text"]]
delay_seconds: Optional[float]

The number of seconds to wait for attempting to deliver this message to consumers

ReturnsExpand Collapse
class MessagePushResponse:
metadata: Optional[Metadata]
metrics: Optional[MetadataMetrics]

Best-effort metrics for the queue. Values may be approximate due to the distributed nature of queues.

backlog_bytes: float

The size in bytes of unacknowledged messages in the queue.

backlog_count: float

The number of unacknowledged messages in the queue.

oldest_message_timestamp_ms: float

Unix timestamp in milliseconds of the oldest unacknowledged message in the queue. Returns 0 if unknown.

Push Message

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.queues.messages.push(
    queue_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.metadata)
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "metadata": {
      "metrics": {
        "backlog_bytes": 1024,
        "backlog_count": 5,
        "oldest_message_timestamp_ms": 1710950954154
      }
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "metadata": {
      "metrics": {
        "backlog_bytes": 1024,
        "backlog_count": 5,
        "oldest_message_timestamp_ms": 1710950954154
      }
    }
  },
  "success": true
}